INFO

This repository contains the bash scripts and the config files required to produce a neural network (genetic algorithm) for the Pisces1d configuration of NEMO. 
The purpose of the genetic algorithm is to establish an ideal set of parameters which simulate the ocean model most accurately. 
At this moment, the scripts are in place for a very specific example, but future updates will extend it's potential usage. 

USAGE

To configure it for use, one must first install and compile Nemo and set up the 1D configuration. Instructions can be found here: 
https://earth.bsc.es/gitlab/mgalitap/pisces_offline/wikis/pisces-offline

Once NEMO with Pisces1D is installed successfully, pull the workflow directory onto your home machine.

Make sure you have the following inputs:
- The usual input files for nemo (namelists, netcdfs, .xml files and executable)
- A file of observed data (for now, only climatologies of the same grid as the netcdfs are accepted)
- The name of the output file that the model will generate 
- variables.csv, found in this repository

On pre.sh, edit lines 15-24 and sim.sh 11-14 and post line 18:
- Change the latitude and longitude accordingly
- Edit the pointers to the inputs

Edit variables.csv to the variables you want to investigate, and their minimum to maximum values.

On autosubmit, create a new experiment using the command
autosubmit expid --copy a1yt --HPC marenostrum4 -d "Experiment is about..."
Which will generate your experiment xxxx, with the config files already set (though, they are also in this repository)

Edit expdef_a1yt.conf: 
The number of members corresponds to the number of generations that the GA will run for. 
The number of chunks corresponds to the number of sets of parameters in each generation.
Under [local], change the PROJECT_PATH variable so it points to the workflow directory.

Finally,
`autosubmit refresh xxxx`
`autosubmit create xxxx`
`autosubmit run xxxx`
